<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ZipInputStreamZipEntrySource (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ZipInputStreamZipEntrySource (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ZipInputStreamZipEntrySource.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/util/ZipFileZipEntrySource.html"
               title="class in org.apache.poi.openxml4j.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/util/ZipSecureFile.html"
               title="class in org.apache.poi.openxml4j.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html"
               target="_top">Frames</a></li>
        <li><a href="ZipInputStreamZipEntrySource.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.openxml4j.util</div>
    <h2 title="Class ZipInputStreamZipEntrySource" class="title">Class ZipInputStreamZipEntrySource</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.openxml4j.util.ZipInputStreamZipEntrySource</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable, <a
                            href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
                            title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ZipInputStreamZipEntrySource</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
              title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a></pre>
                <div class="block">Provides a way to get at all the ZipEntries
                    from a ZipInputStream, as many times as required.
                    Allows a ZipInputStream to be treated much like
                    a ZipFile, for a price in terms of memory.
                    Be sure to call <a
                            href="../../../../../org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html#close--"><code>close()</code></a>
                    as soon as you're
                    done, to free up that memory!
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html#ZipInputStreamZipEntrySource-org.apache.poi.openxml4j.util.ZipArchiveThresholdInputStream-">ZipInputStreamZipEntrySource</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipArchiveThresholdInputStream.html"
                                        title="class in org.apache.poi.openxml4j.util">ZipArchiveThresholdInputStream</a>&nbsp;inp)</code>
                                    <div class="block">Reads all the entries from the ZipInputStream
                                        into memory, and don't close (since POI 4.0.1) the source stream.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html#close--">close</a></span>()</code>
                                    <div class="block">Indicates we are done with reading, and
                                        resources may be freed
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.util.Enumeration&lt;? extends
                                    org.apache.commons.compress.archivers.zip.ZipArchiveEntry&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html#getEntries--">getEntries</a></span>()</code>
                                    <div class="block">Returns an Enumeration of all the Entries</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst">
                                    <code>org.apache.commons.compress.archivers.zip.ZipArchiveEntry</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html#getEntry-java.lang.String-">getEntry</a></span>(java.lang.String&nbsp;path)</code>
                                    <div class="block">Return an entry by its path</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.io.InputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html#getInputStream-org.apache.commons.compress.archivers.zip.ZipArchiveEntry-">getInputStream</a></span>(org.apache.commons.compress.archivers.zip.ZipArchiveEntry&nbsp;zipEntry)</code>
                                    <div class="block">Returns an InputStream of the decompressed
                                        data that makes up the entry
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html#isClosed--">isClosed</a></span>()</code>
                                    <div class="block">Has close been called already?</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ZipInputStreamZipEntrySource-org.apache.poi.openxml4j.util.ZipArchiveThresholdInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ZipInputStreamZipEntrySource</h4>
                                <pre>public&nbsp;ZipInputStreamZipEntrySource(<a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipArchiveThresholdInputStream.html"
                                        title="class in org.apache.poi.openxml4j.util">ZipArchiveThresholdInputStream</a>&nbsp;inp)
                             throws java.io.IOException</pre>
                                <div class="block">Reads all the entries from the ZipInputStream
                                    into memory, and don't close (since POI 4.0.1) the source stream.
                                    We'll then eat lots of memory, but be able to
                                    work with the entries at-will.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getEntries--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEntries</h4>
                                <pre>public&nbsp;java.util.Enumeration&lt;? extends org.apache.commons.compress.archivers.zip.ZipArchiveEntry&gt;&nbsp;getEntries()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#getEntries--">ZipEntrySource</a></code></span>
                                </div>
                                <div class="block">Returns an Enumeration of all the Entries</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#getEntries--">getEntries</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
                                                title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getInputStream-org.apache.commons.compress.archivers.zip.ZipArchiveEntry-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInputStream</h4>
                                <pre>public&nbsp;java.io.InputStream&nbsp;getInputStream(org.apache.commons.compress.archivers.zip.ZipArchiveEntry&nbsp;zipEntry)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#getInputStream-org.apache.commons.compress.archivers.zip.ZipArchiveEntry-">ZipEntrySource</a></code></span>
                                </div>
                                <div class="block">Returns an InputStream of the decompressed
                                    data that makes up the entry
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#getInputStream-org.apache.commons.compress.archivers.zip.ZipArchiveEntry-">getInputStream</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
                                                title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="close--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>close</h4>
                                <pre>public&nbsp;void&nbsp;close()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#close--">ZipEntrySource</a></code></span>
                                </div>
                                <div class="block">Indicates we are done with reading, and
                                    resources may be freed
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#close--">close</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
                                                title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isClosed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isClosed</h4>
                                <pre>public&nbsp;boolean&nbsp;isClosed()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#isClosed--">ZipEntrySource</a></code></span>
                                </div>
                                <div class="block">Has close been called already?</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#isClosed--">isClosed</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
                                                title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEntry-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getEntry</h4>
                                <pre>public&nbsp;org.apache.commons.compress.archivers.zip.ZipArchiveEntry&nbsp;getEntry(java.lang.String&nbsp;path)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#getEntry-java.lang.String-">ZipEntrySource</a></code></span>
                                </div>
                                <div class="block">Return an entry by its path</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html#getEntry-java.lang.String-">getEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
                                                title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>path</code> - the path in unix-notation</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the entry or <code>null</code> if not found</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ZipInputStreamZipEntrySource.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/util/ZipFileZipEntrySource.html"
               title="class in org.apache.poi.openxml4j.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/util/ZipSecureFile.html"
               title="class in org.apache.poi.openxml4j.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/util/ZipInputStreamZipEntrySource.html"
               target="_top">Frames</a></li>
        <li><a href="ZipInputStreamZipEntrySource.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
